Bug 1215061 - springframework-batch-2.2.7.RELEASE is available
Summary: springframework-batch-2.2.7.RELEASE is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: springframework-batch
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1240475 1178149 1178162 1228203 1228503 1231951
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-24 08:19 UTC by gil cattaneo
Modified: 2015-09-26 17:33 UTC (History)
3 users (show)

Fixed In Version: springframework-batch-2.2.7-2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-26 17:33:41 UTC


Attachments (Terms of Use)

Description gil cattaneo 2015-04-24 08:19:20 UTC
Latest upstream release: 2.2.7.RELEASE
Current version/release in Fedora Rawhide: 2.1.9-3.fc23
URL: https://github.com/spring-projects/spring-batch/tags
Please, consider upgrading

Additional info:

some build deps are not free:
org.springframework.data:spring-data-neo4j
org.springframework.data:spring-data-gemfire
some build deps are still not available
org.springframework.data:spring-data-commons
org.springframework.data:spring-data-mongodb (https://bugzilla.redhat.com/show_bug.cgi?id=1178257)

Comment 1 gil cattaneo 2015-06-03 17:00:18 UTC
Other missing deps:
org.springframework.amqp:spring-amqp
org.springframework.amqp:spring-rabbit
org.springframework.data:spring-data-redis

Comment 2 gil cattaneo 2015-06-27 19:19:43 UTC
for org.springframework.data:spring-data-mongodb should be used
https://github.com/apache/incubator-geode instead of
https://pivotal.io/big-data/pivotal-gemfire
see http://blog.pivotal.io/big-data-pivotal/news-2/apache-geode-update

Comment 3 gil cattaneo 2015-06-27 19:24:31 UTC
Apache Geode (temporary) home page http://incubator.apache.org/projects/geode.html

Comment 4 Jan Kurik 2015-07-15 14:14:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 5 Fedora Update System 2015-09-19 08:29:40 UTC
springframework-batch-2.2.7-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16202

Comment 6 Fedora Update System 2015-09-20 14:57:59 UTC
springframework-batch-2.2.7-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update springframework-batch'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16202

Comment 7 Fedora Update System 2015-09-26 17:33:39 UTC
springframework-batch-2.2.7-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.